/*=======================================================*/
/*  TVJFREE.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"

/*======================================================*/
/*======================================================*/

static void far kill_task(void)
{
   _AX = 0x4CFF ;        /* return error level 255 to indicate that task */
   geninterrupt(0x21) ;  /* was killed */
}

/*======================================================*/
/* TVapp_free  free an application and its window       */
/*   Ralf Brown 4/20/88                                 */
/*======================================================*/

void pascal TVapp_free(OBJECT app)
{
   TVinterrupt(app,kill_task) ;
   TVpause() ;
   TVtask_free(app) ;
}

/* End of TVJFREE.C */
